summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Eugene M2023-02-21 20:14:55 +0100
committer Willy Sudiarto Raharjo2023-02-25 03:13:15 +0100
commit41baa255cbe8e3d3bafb4efc8caf41f081a25869 (patch)
tree2dc52d89ed79250ca3e110dbc2d6ab2701512ba3 /audio
parentd7b54e237d32d9532e45730123267bd0233c06c3 (diff)
downloadslackbuilds-41baa255cbe8e3d3bafb4efc8caf41f081a25869.tar.gz
Updated for version 0.47
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/ncmpc/README25
-rw-r--r--audio/ncmpc/ncmpc.SlackBuild84
-rw-r--r--audio/ncmpc/ncmpc.info10
-rw-r--r--audio/ncmpc/slack-desc2
4 files changed, 74 insertions, 47 deletions
diff --git a/audio/ncmpc/README b/audio/ncmpc/README
index c1fd1052a8..c09e2b8e8d 100644
--- a/audio/ncmpc/README
+++ b/audio/ncmpc/README
@@ -1,5 +1,20 @@
-ncmpc is a curses client for the Music Player Daemon (MPD). ncmpc
-connects to a MPD running on a machine on the local network, and
-controls this with an interface inspired by cplay. If ncmpc is used
-with lirc and irpty it can be used to manage playlists and control MPD
-with a remote control.
+ncmpc is a fully featured MPD client, which runs in a terminal
+(using ncurses). Its goal is to provide a keyboard oriented and
+consistent interface to MPD, without wasting resources.
+
+Features:
+
+* full Unicode and wide character support;
+* music database browser, database search, media library;
+* audio output configuration;
+* lyrics;
+* LIRC support;
+* customizable key bindings and colors;
+* tiny memory footprint;
+* playlist editor.
+
+Some optional and important dependencies, detected automatically:
+
+* Sphinx: for generating man pages mpc(1);
+* lirc: for infrared remote support;
+* PCRE: for regular expression support in the "find" command.
diff --git a/audio/ncmpc/ncmpc.SlackBuild b/audio/ncmpc/ncmpc.SlackBuild
index af66ae697e..7f57967da8 100644
--- a/audio/ncmpc/ncmpc.SlackBuild
+++ b/audio/ncmpc/ncmpc.SlackBuild
@@ -2,8 +2,7 @@
# Slackware build script for ncmpc
-# Copyright 2006-2010 Andrew Brouwers <abrouwers@gmail.com>
-# Copyright 2014 Luka Novsak <lnovsak@gmail.com>
+# Copyright 2023 Eugene M., <damagedone at gmx dot com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -12,23 +11,21 @@
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-# Modified by the SlackBuilds.org project
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=ncmpc
-VERSION=${VERSION:-0.24}
+VERSION=${VERSION:-0.47}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -41,9 +38,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -60,7 +54,7 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
+ SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
@@ -73,31 +67,49 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+tar xf $CWD/$PRGNAM-$VERSION.tar.xz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --mandir=/usr/man
-
-make
-make install-strip DESTDIR=$PKG
-
-gzip -9 $PKG/usr/man/man?/*
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+[ -d $PKG/usr/man ] && gzip -9 $PKG/usr/man/man*/*
+
+#find $PKG/usr/man -type f -exec gzip -9 {} \;
+#for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING NEWS README doc/config.sample \
- doc/keys.sample doc/ncmpc.lirc $PKG/usr/doc/$PRGNAM-$VERSION
-rm -rf $PKG/usr/share/{doc,ncmpc}
+mv $PKG/usr/share/doc/$PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc/
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/audio/ncmpc/ncmpc.info b/audio/ncmpc/ncmpc.info
index 8e032f9836..6442a7354c 100644
--- a/audio/ncmpc/ncmpc.info
+++ b/audio/ncmpc/ncmpc.info
@@ -1,10 +1,10 @@
PRGNAM="ncmpc"
-VERSION="0.24"
+VERSION="0.47"
HOMEPAGE="https://www.musicpd.org/clients/ncmpc/"
-DOWNLOAD="https://www.musicpd.org/download/ncmpc/0/ncmpc-0.24.tar.xz"
-MD5SUM="0717193f38446780372f2a8907316362"
+DOWNLOAD="https://www.musicpd.org/download/ncmpc/0/ncmpc-0.47.tar.xz"
+MD5SUM="388bbf3eed9a845e8e97d7afa2c2d596"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="libmpdclient"
-MAINTAINER="Luka Novsak"
-EMAIL="lnovsak@gmail.com"
+MAINTAINER="Eugene M."
+EMAIL="damagedone@gmx.com"
diff --git a/audio/ncmpc/slack-desc b/audio/ncmpc/slack-desc
index 83705dfc14..86c2b98514 100644
--- a/audio/ncmpc/slack-desc
+++ b/audio/ncmpc/slack-desc
@@ -8,7 +8,7 @@
|-----handy-ruler------------------------------------------------------|
ncmpc: ncmpc (ncurses MPD frontend)
ncmpc:
-ncmpc: ncmpc is a curses based MPD client. It connects to MPD running
+ncmpc: ncmpc is a curses based MPD client. It connects to MPD running
ncmpc: running on a machine on the local network, and controls it using
ncmpc: and interface inspired to cplay.
ncmpc: